Package org.apache.sis.referencing.factory

## Class InvalidGeodeticParameterException

- Object
- - Throwable
  - - Exception
    - - FactoryException
      - - InvalidGeodeticParameterException

- All Implemented Interfaces:
    `Serializable`

      public class InvalidGeodeticParameterException
      extends FactoryException

  Thrown when a factory `createFoo(…)` method is given invalid parameters. This exception may be thrown by factories that create an object from geodetic parameters like semi-major or semi-minor axis length, latitude of natural origin, etc. The cause may be a parameter having an illegal value, or a mandatory parameter which has not been specified.
  Note: this exception is not for invalid authority codes. For such cases, see `NoSuchAuthorityCodeException` instead.
  Since:
    0.7
  See Also:
    Serialized Form

  Defined in the `sis-referencing` module

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvalidGeodeticParameterException()` | Construct an exception with no detail message.
    `InvalidGeodeticParameterException​(String message)` | Construct an exception with the specified detail message.
    `InvalidGeodeticParameterException​(String message, Throwable cause)` | Construct an exception with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidGeodeticParameterException

          public InvalidGeodeticParameterException()

      Construct an exception with no detail message.

    - #### InvalidGeodeticParameterException

          public InvalidGeodeticParameterException​(String message)

      Construct an exception with the specified detail message.
      Parameters:
        `message` - the detail message, saved for later retrieval by the `Throwable​.getMessage()` method.

    - #### InvalidGeodeticParameterException

          public InvalidGeodeticParameterException​(String message,
                                                   Throwable cause)

      Construct an exception with the specified detail message and cause.
      Parameters:
        `message` - the detail message, saved for later retrieval by the `Throwable​.getMessage()` method.
        `cause` - the cause for this exception, saved for later retrieval by the `Throwable​.getCause()` method.